View Issue Details

IDProjectCategoryView StatusLast Update
0002776Ham Radio DeluxeMaintenancepublic2018-07-25 20:47
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.873 
Summary0002776: Cluster Spotfilters input not saved
DescriptionWhen editing the DX Cluster Spotfilters, the given frequency is not saved
Steps To ReproduceOpen Logbook
Select DX Cluster options
Select Spot Filters Tab
Add or edit an entry Like 20M Phone
Put in 14.000 for Freq-Min and 14.250 for Freq-Max
Click Ok

See that the Freq Min and Max both stay 14.000
Additional InformationTicket 318202

See attached screenshot
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing Beta Successful

Relationships

Activities

PD9FER

2018-06-20 09:46

viewer  

spot filters.png (107,411 bytes)
spot filters.png (107,411 bytes)

PD9FER

2018-06-20 09:47

viewer   ~0005359

Tested on build 846

WA9PIE

2018-06-23 16:40

administrator   ~0005400

MikeB,

I went through Ferry's steps here. The repo method is good. I got the same results. I think this is "shovel-ready." I'm going to go ahead and assign this one to you. You can get to it whenever.

K7ZCZ

2018-07-09 18:44

manager   ~0005645

The filter definition is actually saved correctly; it's just not displayed correctly in the "Spot Filters" page on the "DX Cluster Options" dialog. This can be verified by double-clicking on the entry and vieweing the valuesi n the "Filter Definition" dialog again. Or, by viewing the XML file where these settings are stored.

The bug is actually that the displayed value in the list is incorrect.

K7ZCZ

2018-07-09 18:45

manager   ~0005646

Fixed with this checkin into the MikeB2 branch
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4219

WA9PIE

2018-07-09 21:44

administrator   ~0005647

I'm making a comment in this item for the sole purpose of testing the formatting of emails from Mantis.

Let me know if this is better.

K7ZCZ

2018-07-12 14:34

manager   ~0005662

merged to the main branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4223

g3ucq

2018-07-13 15:23

viewer   ~0005677

Fixed

WA9PIE

2018-07-17 16:45

administrator   ~0005723

Hurray!

Issue History

Date Modified Username Field Change
2018-06-20 09:46 PD9FER New Issue
2018-06-20 09:46 PD9FER File Added: spot filters.png
2018-06-20 09:47 PD9FER Note Added: 0005359
2018-06-23 16:40 WA9PIE Note Added: 0005400
2018-06-23 16:40 WA9PIE Assigned To => K7ZCZ
2018-06-23 16:40 WA9PIE Status new => assigned
2018-06-23 16:40 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-07-09 18:44 K7ZCZ Note Added: 0005645
2018-07-09 18:45 K7ZCZ Note Added: 0005646
2018-07-09 21:44 WA9PIE Note Added: 0005647
2018-07-12 14:34 K7ZCZ Status assigned => resolved
2018-07-12 14:34 K7ZCZ Resolution open => fixed
2018-07-12 14:34 K7ZCZ Fixed in Version => 6.4.0.864
2018-07-12 14:34 K7ZCZ Note Added: 0005662
2018-07-13 15:23 g3ucq Note Added: 0005677
2018-07-17 16:45 WA9PIE Status resolved => closed
2018-07-17 16:45 WA9PIE Steps to Reproduce Updated View Revisions
2018-07-17 16:45 WA9PIE Additional Information Updated View Revisions
2018-07-17 16:45 WA9PIE Testing Not Started => Beta Successful
2018-07-17 16:45 WA9PIE Note Added: 0005723
2018-07-23 22:52 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:36 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.864 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe